Bug 50362

Summary: [NRWT] Refactor TestTypeBase.compare_output() so that it takes a TestInput object
Product: WebKit Reporter: Hayato Ito <hayato>
Component: Tools / TestsAssignee: Hayato Ito <hayato>
Status: RESOLVED WONTFIX    
Severity: Normal CC: dpranke, eric, hamaji, mihaip, tony, yutak
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on: 50448    
Bug Blocks: 36065    
Attachments:
Description Flags
takes-TestInput eric: review+, eric: commit-queue-

Description Hayato Ito 2010-12-01 17:36:16 PST
Currently TestTypeBase.compare_output() method takes a filename as one of parameters.
It would be better to takes a TestInput object as a parameter instead of a filename.

We'll need information which a TestInput object holds to support reftests.
Comment 1 Hayato Ito 2010-12-01 17:43:21 PST
Created attachment 75339 [details]
takes-TestInput
Comment 2 Eric Seidel (no email) 2010-12-02 17:35:57 PST
Comment on attachment 75339 [details]
takes-TestInput

Your ChangeLog shoudl say "why" and doesn't.  Please update before landing.
Comment 3 Hayato Ito 2010-12-02 18:29:45 PST
Committed r73228: <http://trac.webkit.org/changeset/73228>
Comment 4 Hayato Ito 2010-12-02 18:31:39 PST
Eric, thank you for the review.

I merged this patch with ToT and updated ChangeLog and submitted it.
Comment 5 Yuta Kitamura 2010-12-03 02:23:31 PST
Hi,

It seemed that r73211 broke Chromium's "Webkit Win (dbg)(2)" bot. Unfortunately, there is some conflict with this change, so I needed to roll out this patch.

http://trac.webkit.org/changeset/73256

Feel free to re-land this patch after r73211 is rolled out. Thank you for your understandings.
Comment 6 Eric Seidel (no email) 2010-12-14 01:28:21 PST
Sounds like this needs to be landed again?
Comment 7 Eric Seidel (no email) 2010-12-14 15:16:08 PST
Attachment 75339 [details] was posted by a committer and has review+, assigning to Hayato Ito for commit.
Comment 8 Hayato Ito 2011-03-01 00:50:17 PST
This patch became obsolete. I marked it as 'WONTFIX'.